EDIT - bug #8804

taxeditor hangs when creating a new classification
01/15/2020 01:05 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version:
Description
[caryophyllales_spp] 13:04:59,556 DEBUG [gtp759156157-135] [or.sp.we.se.DispatcherServlet] - Dispat

cherServlet with name 'cdmlib-remote' processing POST request for [/remoting/classification.servic

e]

[caryophyllales_spp] 13:04:59,556 DEBUG [gtp759156157-135] [or.sp.we.se.ha.SimpleUrlHandlerMapping]
- Mapping [/remoting/classification.service] to HandlerExecutionChain with handler [org.springfra

mework.remoting.httpinvoker.HttpInvokerServiceExporter@2l12acf44] and 1 interceptor
[caryophyllales_spp] 13:04:59,558 DEBUG [qtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - starting evaluation => .

[caryophyllales_spp] 13:04:59,558 DEBUG [gqtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - ROLE_ADMIN found => true

[caryophyllales_spp] 13:04:59,559 DEBUG [gtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - starting evaluation => 3

[caryophyllales_spp] 13:04:59,559 DEBRUG [gqtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - ROLE_ADMIN found => true

[caryophyllales_spp] 13:04:59,559 DEBUG [qtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - starting evaluation => .

[caryophyllales_spp] 13:04:59,559 DEBUG [gqtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - ROLE_ADMIN found => true

[caryophyllales_spp] 13:04:59,559 DEBUG [gtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - starting evaluation => 3

[caryophyllales_spp] 13:04:59,559 DEBRUG [gqtp759156157-135] [eu.et.cd.pe.hi.pe.CdmPermissionEvaluato
r] - ROLE_ADMIN found => true

The same problems also blocks

1. adding a new taxon to an empty classification
2. removing the last taxon from a classification

History

#1 - 01/15/2020 01:08 PM - Andreas Kohlbecker

| put this into the current milestone since it is really an awful regression.
This issue is really critical and maybe easy to fix.

#2 - 01/15/2020 01:09 PM - Andreas Kohlbecker

- Description updated

#3 - 01/15/2020 01:13 PM - Andreas Kohlbecker

- Description updated

#4 - 01/15/2020 01:17 PM - Andreas Miuller

| can't reproduce this. Can you give more information. | created classifications in multiple DBs and it worked.
Which DB did you use on which sever with which rights?

#5 - 01/15/2020 01:35 PM - Andreas Kohlbecker

Andreas Muller wrote:

| can't reproduce this. Can you give more information. | created classifications in multiple DBs and it worked.
Which DB did you use on which sever with which rights?
| tested on a local copy of the edit-test/caryophyllales_spp from which i took a dump in Dez. 2019
| connected to taxeditor to a cdmlib-remote-webapp instance at the revision in the develop branch:

* ccbe8cbee9 - Tue, 14 Jan 2020 15:56:57 +0100 (22 hours ago)
| fixing bugs in SwaggerIT and StaticSwaggerApiDoc - Andreas Kohlbecker

| was logged in a admin

#6 - 01/15/2020 01:40 PM - Andreas Miuller

Can you please test on test/nightly also. This is our reference system for ticket reviews etc. Ofcourse we also need to find out why it does not work on
your computer with the dump but most important (also for the question if this is a "critical" ticket and needs to be fixed in current milestone) is if it can
be reproduced on the server.

#7 - 01/15/2020 01:56 PM - Andreas Kohlbecker

| tested again locally with another DB where it also occurs ....
will test also on the test server, but this will require to build the cdm-server and to install it ... so this will take a while ...

why don't you test on nightly on test server? Or do you think it is a regression from today?

#8 - 01/15/2020 02:06 PM - Katja Luther

| can't reproduce it on my local db. And the recursion seems to be something on library side in PermissionEvaluator

#9 - 01/15/2020 02:24 PM - Andreas Kohlbecker
- Status changed from New to Worksforme

- Target version deleted (Release 5.12)

Reproducible with the latest cdm-server and Taxeditor Version: 5.12.0-SNAPSHOT, Build Date: 2020-01-15 11:50 CET on
http://test.e-taxonomy.eu/cdmserver/caryo_spp/

No longer reproducible with Taxeditor Version: 5.12.0-SNAPSHOT, Build Date: 2020-01-15 13:48 CET

Reproducible with Taxeditor Version: 5.12.0-SNAPSHOT, Build Date: 2020-01-15 13:48 CET at cdmlib cc5e8c6ee9:

No longer reproducible with Taxeditor Version: 5.12.0-SNAPSHOT, Build Date: 2020-01-15 13:48 CET at cdmlib 8841d740c6
So the bug has been fixed by one of the below commits:

* 8841d740c6 - Wed, 15 Jan 2020 13:49:38 +0100 (27 minutes ago) (origin/develop)
| adapted tests for harmonization of taxonnodeDto usage - Katja Luther
b140cc5433 - Wed, 15 Jan 2020 13:48:54 +0100 (27 minutes ago)
merge ITaxonNodeService - Katja Luther
99£733939c - Wed, 15 Jan 2020 13:42:15 +0100 (34 minutes ago)
cleanup taxonnodeDto - UuidAndTitleCache<TaxonNode> - Katja Luther
6adl062d3b - Wed, 15 Jan 2020 11:12:00 +0100 (3 hours ago)
| cleanup - Andreas Miller
a65a935cd5 - Wed, 15 Jan 2020 11:08:55 +0100 (3 hours ago)
| fix #8803 add per mm? to MeasurementUnit - Andreas Miiller
* 5675e6119c - Wed, 15 Jan 2020 11:05:15 40100 (3 hours ago)
fix getPage () for deduplication - Andreas Miller
30df4b0ad8 - Wed, 15 Jan 2020 11:02:24 +0100 (3 hours ago)
| cleanup - Andreas Miller
cc5e8cbee9 - Tue, 14 Jan 2020 15:56:57 +0100 (22 hours ago) (HEAD -> develop)
